Driver License Verify
Verifies a driver's license number in Nigeria and returns the holder's information including photo and license details.
Endpoint
POST /kyc/nga/driver-licenseAuthentication
API Key
Header
x-api-key
Request body
Content-Type: application/json
Parameters
license_number
string
Yes
Driver's license number.
date_of_birth
string
Yes
Holder's date of birth in format YYYY-MM-DD.
first_name
string
Yes
Holder's first name.
last_name
string
Yes
Holder's last name.
Request example
{
"license_number": "AAD23208212298",
"date_of_birth": "1996-05-06",
"first_name": "Samuel",
"last_name": "Olamide"
}Responses
200 Success
Response parameters
serviceResultCode
integer
Code that indicates the overall result of the service execution. See Service Result Code
serviceTime
string
Processing time (milliseconds).
serviceResultLog
string
Descriptive field of the result of the service execution. Includes details when there is an error or exception in the module.
serviceTransactionId
string
Transaction identifier associated with the request processed by the API.
data
object
Object with the verified license details. See the table below.
Response parameters — data
license_no
string
Verified license number.
first_name
string
Name(s) of the holder.
middle_name
string
Middle name.
last_name
string
Holder's last name(s).
birth_date
string
Date of birth.
gender
string
Gender. Possible values: Male, Female
state_of_issue
string
State that issued the license.
issued_date
string
Issue date.
expiry_date
string
Expiration date.
photo
string | null
Holder's photo in Base64 (can be null).
Service Result Code
The serviceResultCode indicates the overall result of the service execution:
200
The service execution was successful, the module processed the request correctly.
200
Response example
400 Bad Request
Error returned with the service envelope (serviceResultCode reflects the HTTP status code of the response):
502 Bad Gateway
Returned when the service is temporarily unavailable or its response could not be interpreted. The body uses the service envelope with serviceResultCode: 500:
504 Gateway Timeout
Timeout error timeout, returned with the service envelope:
Last updated